/*  Header for utility functions

    1998, 1999 Joseph Walton

    This software is distributed under the terms of the GNU General Public
    License; either version 2 of the License, or (at your option) any
    later version.
*/

#ifndef NFSD_NFS_UTILS_H
#define NFSD_NFS_UTILS_H

#include "nfs.h"
#include "handle_list.h"

#include <exec/types.h>
#include <dos/dos.h>

void printSocketError(STRPTR s);
nfsstat NFS_err(LONG errno);
nfsstat NFS_wt_err(nfsstat wrongtype);
STRPTR reason(nfsstat err);
u_int NFS_mode(ULONG amiga_mode);
ULONG Amiga_prot(u_int mode);
void Unix_date(struct DateStamp *ds, struct nfstime *tv);
void Amiga_date(struct nfstime *tv, struct DateStamp *ds);
ftype NFS_type(LONG type);
STRPTR name_of_diropargs(STRPTR filename, struct LocalFile *dir_lf,
    nfsstat *stat);
#endif

