/*  Constants defined by the PCNFSD protocol

    1999 Joseph Walton

    This software is distributed under the terms of the GNU General Public
    License; either version 2 of the License, or (at your option) any
    later version.
*/

#ifndef NFSD_PCNFSD_PROT_H
#define NFSD_PCNFSD_PROT_H

#define IDENTLEN 32
#define PASSWORDLEN 64

enum arstat {
    AUTH_RES_OK = 0,
    AUTH_RES_FAKE = 1,
    AUTH_RES_FAIL = 2
};

#define PCNFSD_PROGRAM 150001
#define PCNFSD_VERSION 1
#define PCNFSD_PROC_NULL 0
#define PCNFSD_PROC_AUTH 1

#define UID_NOBODY 65534
#define GID_NOGROUP 65534

#endif

