/*  Headers for RPC registration routines

    1999 Joseph Walton

    This software is distributed under the terms of the GNU General Public
    License; either version 2 of the License, or (at your option) any
    later version.
*/

#ifndef NFSD_RPC_REGISTER_H
#define NFSD_RPC_REGISTER_H

#include <exec/types.h>

#define RPC_REGISTER_TIMEOUT_AFTER 30
#define RPC_REGISTER_SEND_EVERY 5

#define LOCAL_ADDR htonl(0x7f000001)

// portmapper constants
#define PMAP_PORT 111
#define PMAP_PROGRAM 100000
#define PMAP_VERSION 2

#define PMAPPROC_SET 1
#define PMAPPROC_UNSET 2

#define IPPROTO_TCP 6
#define IPPROTO_UDP 17

void printError(STRPTR s);
BOOL pmap_set(int socket, int prog, int version, int port);
BOOL pmap_unset(int socket, int prog, int version);

#endif


